ML Prep API (v1)
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "id": "string", "name": "string", "locked": true } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"name": "string",
"settings": {
"id": 0,
"asFlowRate": 0.1,
"asMixFlowRate": 0.1,
"asBlowOutVolume": 0.1,
"asSwapSpeed": 0.1,
"asSettlingTime": 0.1,
"asAirTransport": 0.1,
"dsFlowRate": 0.1,
"dsMixFlowRate": 0.1,
"dsBlowOutVolume": 0.1,
"dsSwapSpeed": 0.1,
"dsSettlingTime": 0.1,
"dsAirTransport": 0.1,
"correctionCurve": [
{
"target": 0.1,
"value": 0.1,
"isUserAdded": true
}
],
"isUserLiquid": true
},
"classSpec": {
"liquidType": "string",
"tipName": "string",
"tipStartPoint": "string",
"multiDispense": true,
"channelSelection": "string"
}
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"settings": {
"id": 0,
"asFlowRate": 0.1,
"asMixFlowRate": 0.1,
"asBlowOutVolume": 0.1,
"asSwapSpeed": 0.1,
"asSettlingTime": 0.1,
"asAirTransport": 0.1,
"dsFlowRate": 0.1,
"dsMixFlowRate": 0.1,
"dsBlowOutVolume": 0.1,
"dsSwapSpeed": 0.1,
"dsSettlingTime": 0.1,
"dsAirTransport": 0.1,
"correctionCurve": [
{
"target": 0.1,
"value": 0.1,
"isUserAdded": true
}
],
"isUserLiquid": true
},
"classSpec": {
"liquidType": "string",
"tipName": "string",
"tipStartPoint": "string",
"multiDispense": true,
"channelSelection": "string"
}
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/batch-delete
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/batch-delete' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"liquidNames": [
"string"
],
"ignoreProtocolCheck": true
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/find-usage
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/find-usage' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"liquidNames": [
"string"
]
}'[ { "liquidName": "string", "protocols": [ … ] } ]
Request
The liquid settings depend on a few parameters.
liquidType: (supported types can be retrieved using GET /)
channelSelection: (OneChannel, TwoChannel, EightChannel, or Unknown)
tipName: (the labware reference id for the tip labware)
tipStartPoint: (FromLiquidLevel, or FromContainerBottom)
multiDispense: (true or false)
dispenseVolume: (the ammount of volume getting dispensed in μL)
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/settings?liquidType=string&channelSelection=string&tipName=string&tipStartPoint=string&multiDispense=true&dispenseVolume=0.1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "id": 0, "asFlowRate": 0.1, "asMixFlowRate": 0.1, "asBlowOutVolume": 0.1, "asSwapSpeed": 0.1, "asSettlingTime": 0.1, "asAirTransport": 0.1, "dsFlowRate": 0.1, "dsMixFlowRate": 0.1, "dsBlowOutVolume": 0.1, "dsSwapSpeed": 0.1, "dsSettlingTime": 0.1, "dsAirTransport": 0.1, "correctionCurve": [ { … } ], "isUserLiquid": true }
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/import/{ignoreLabwareDefinitionFiles}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/import/{ignoreLabwareDefinitionFiles}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F Files=string \
-F OverwriteAll=true \
-F FilesToOverwrite=string \
-F ZipFileProtocolEntry=string \
-F NewProtocolName=string[ { "name": "string", "result": "string" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/find-existing-imports
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/find-existing-imports' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F Files=string \
-F OverwriteAll=true[ { "name": "string", "viewName": "string", "type": "string", "lastModifiedDateTime": "2019-08-24T14:15:22Z" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/liquid-classes/export
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/liquid-classes/export?liquids=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'No response example